INCLUDES =				\
	-I.				\
	-I$(top_srcdir)			\
	-I$(top_srcdir)/src		\
	-I$(top_builddir)		\
	-DDATADIR=\""$(datadir)"\"	\
	$(MMEDIAMANAGER_CFLAGS)		\
	$(GTK_CFLAGS)

lib_LTLIBRARIES = libmmanager-gtk.la

libmmanager_gtk_la_LIBADD =			\
	$(MMEDIAMANAGER_LIBS)			\
	$(GTK_LIBS)				\
	$(top_builddir)/libmmanager/libmmanager.la

libmmanager_gtk_la_includedir=$(includedir)/libmmanager-gtk

libmmanager_gtk_la_include_HEADERS =	\
	mm-gtk.h			\
	mm-gtk-application-store.h	\
	mm-gtk-application-view.h	\
	mm-gtk-attribute-store.h	\
	mm-gtk-filter-builder.h		\
	mm-gtk-hit-store.h		\
	mm-gtk-hit-view.h

libmmanager_gtk_la_SOURCES =		\
	mm-gtk-application-store.c	\
	mm-gtk-application-view.c	\
	mm-gtk-attribute-store.c	\
	mm-gtk-filter-builder.c		\
	mm-gtk-hit-store.c		\
	mm-gtk-hit-view.c

MAINTAINERCLEANFILES =		\
	*~			\
	Makefile.in

pkgconfigdir = $(libdir)/pkgconfig
pkgconfig_DATA = libmmanager-gtk.pc

EXTRA_DIST = libmmanager-gtk.pc.in
